.wide {
  max-width: 53rem;
  margin: 0 auto;
  width: 100%;
}

section {
  display: none;
}
section.active {
  display: block;
}
section .action {
  font-weight: normal;
  font-size: 1.5em;
  margin-top: 0;
}
.btn.left, .btn.right {
  font-size: 1.2em;
}
button.left {
  float: left;
}
button.right {
  float: right;
}
.btn[disabled], button[disabled] {
  opacity: 0.5;
  cursor: not-allowed;
}

/* begin print picker CSS ----------- */
.print-picker .flex {
  gap: 2rem;
}
.print-option {
  cursor: pointer;
}
.print-option h3 {
  text-align: center;
  border: 2px solid var(--color-text);
  padding: 0.5rem;
  transition: 0.1s;
}
.print-option img {
  border: 2px solid var(--color-text);
  height: 400px;
  max-width: 100%;
  text-align: center;
  padding: 2rem;
}
.print-option:hover img, .print-option.active img, .book-card:hover .card__img-wrapper, .book-card.active .card__img-wrapper {
  background-image: url("../images/texture-dark.png");
  background-attachment: fixed;
  opacity: 0.8;
}
.print-option:hover h3, .print-option.active h3 {
  color: var(--color-primary);
}
.print-option.active * {
  border-color: var(--color-primary);
}
.print-option.active img, .book-card.active .card__img-wrapper {
  opacity: 1;
}
/* end print picker CSS ----------- */


/*  begin booklet CSS ----------- */
.grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 0.5rem;
  margin-bottom: 1rem;
}

.book-card {
  border: 2px solid var(--color-text);
  cursor: pointer;
  position: relative;
}
.book-card.active {
  border-color: var(--color-primary);
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}
.book-card img {
  max-width: 100%;
  padding: 2rem;
  box-sizing: border-box;
}
.service__img {
  aspect-ratio: 1.5 / 1;
  height: auto;
}
.card__img-wrapper {
  padding: 0.75rem;
  box-sizing: border-box;
  /*aspect-ratio: 1.5 / 1;*/
}
.book-card h3 {
  margin: 0.5rem 0;
  text-align: center;
  padding: 0.5rem;
  border: 2px solid transparent;
}
.book-card:hover h3, .book-card.active h3 {
  border-color: var(--color-text);
  background: var(--color-bg);
  color: var(--color-primary);
}

.card__form {
  position: absolute;
  top: 0; bottom: 0; left: 0; right: 0;
  overflow: auto;
  background: var(--color-bg-alt);
  padding: 1rem;
  display: none;
}
.book-card.active .card__form {
  display: block;
}
.card__form .row {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.card__form abbr {
  border: 1px solid var(--color-text);
  border-radius: 50%;
  padding: 0.25rem 0.75rem;
}
.card__form h3 {
  margin-bottom: 1.5rem;
  border-color: var(--color-text);
}
/* END BOOKLET CSS ----------- */

/* BEGIN Loose Leif CSS ----------- */
.form {
  background-color: #eee;
  padding: 1px 1rem 1rem 1rem;
  margin-bottom: 1rem;
}
.files-wrapper {
  display: flex;
  flex-flow: row wrap;
  gap: 1.5rem;
  padding: 0 0 0 1rem;
}
.file-input {
  border: 2px solid var(--color-text);
  --color-input: var(--color-riso-black);
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  cursor: pointer;
  background: var(--color-bg);
}
.file-input::before {
  content: "";
  height: 100%;
  width: 60px;
  box-sizing: border-box;
  background: var(--color-input);
}
.file-input[data-color="blue"], .blue{ --color-input: var(--color-riso-blue); }
.file-input[data-color="red"], .red{ --color-input: var(--color-riso-red); }
.black { --color-input: var(--color-riso-black); }
.file-input::after, .plus, .delete {
  content: "+";
  position: absolute;
  font-size: 1.5em;
  font-weight: bold;
  background: #f0f0f0;
  border-radius: 50%;
  width: 35px;
  left: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  transform: translateX(-50%);
  border: 2px solid var(--color-text);
  transition: 0.2s;
  cursor: pointer;
}
.selected.file-input::after {
  content: "-";
}
.file-input:hover::after, .plus:hover {
  background: #fff;
  border-color: var(--color-input);
}
.file-input__inner {
  padding: 0.5rem 2rem 0.5rem 1rem;
  display: flex;
  flex-direction: column;
}
.file-input__inner span {
  font-size: 0.8em;
}

.tabs {
  display: flex;
  margin-bottom: 1rem;
  gap: 0.5rem;
}
.tab {
  background: var(--color-bg);
  border: none;
  padding: 0.5rem 1rem;
  font-size: 1.2em;
  font-weight: bold;
  flex: 1;
  cursor: pointer;
}
.tab.active {
  border-bottom: 4px solid var(--color-primary);
  color: var(--color-primary);
}

.loose-leif__pages {
  display: flex;
  flex-flow: row wrap;
  align-items: center;
  width: 100%;
  gap: 1.5rem;
  padding: 1.5rem 0;
}
.loose-leif__pages .page {
  aspect-ratio: 8.5/11;
  border: 2px solid var(--color-text);
  padding: 0.5rem;
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: bold;
  position: relative;
  background: var(--color-bg);
  width: 70px;
  min-width: 70px;
}
.loose-leif__pages .page.active {
  border-color: var(--color-primary);
  font-style: italic;
}
.loose-leif__pages .page.active::after {
  content: "";
  --triangle-width: 20px;
  width: 0px;
  height: 0px;
  border-right: var(--triangle-width) solid transparent;
  border-top: var(--triangle-width) solid var(--color-primary);
  position: absolute;
  bottom: 0;
  left: -2px;
  transform: translateY(100%);
}

.loose-leif__pages .plus {
  width: 50px;
  height: 50px;
  min-width: 50px;
  position: static;
  transform: none;
  margin-left: 0.5rem;
}
.loose-leif__pages .delete {
  top: 0;
  left: auto;
  right: 0;
  transform: translate(50%, -50%);
  aspect-ratio: 1/1;
}
.delete[disabled] { display: none; }
/* END Loose Leif CSS ----------- */

/* Confirm page CSS */
.confirmFiles {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
}
.confirmFiles .color {
  width: 1em;
  height: 1em;
  display: inline-block;
  border-radius: 100%;
  background: var(--color-input);
}

.confirmPage {
  padding: 0.5rem;
  font-family: monospace, mono;
  font-weight: normal;
  border: 2px solid var(--color-bg);
  margin: 0.5rem 0;
}
.confirmPage:nth-child(even) {
  background: rbga(255,255,255,0.4);
}
.confirmPage p {
  margin: 0.5rem 0;
  line-height: 1rem;
}
.confirmPage .btn {
  margin-left: 0.5rem;
}
.confirmPage h5 {
  margin-top: 0;
}
